import Foundation
import SwiftUI

struct SkillStyle {

    let iconSize: CGFloat

    let rowSpacing: CGFloat

    let verticalTagSpacing: CGFloat

    let horizontalGap: CGFloat

    let tagBackground: Color

    let tagRounding: CGFloat

    init(iconSize: CGFloat = 20, rowSpacing: CGFloat = 3, verticalTagSpacing: CGFloat = 3, horizontalGap: CGFloat = 5, tagBackground: Color = .gray, tagRounding: CGFloat = 8) {
        self.iconSize = iconSize
        self.rowSpacing = rowSpacing
        self.verticalTagSpacing = verticalTagSpacing
        self.horizontalGap = horizontalGap
        self.tagBackground = tagBackground
        self.tagRounding = tagRounding
    }
}

